Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class Constants

    java.lang.Object
      org.apache.xml.security.utils.Constants

    public class Constants

extends java.lang.Object

Provides all constants and some translation functions for i18n. For the used Algorithm identifiers and Namespaces, look at the XML Signature specification.

Author:
  $Author: coheigea $

Field Summary
`static java.lang.String` | `_ATT_ALGORITHM` Tag of Attr Algorithm
`static java.lang.String` | `_ATT_ENCODING` Tag of Attr Encoding
`static java.lang.String` | `_ATT_ID` Tag of Attr Id
`static java.lang.String` | `_ATT_MIMETYPE` Tag of Attr MimeType
`static java.lang.String` | `_ATT_TARGET` Tag of Attr Target
`static java.lang.String` | `_ATT_TYPE` Tag of Attr Type
`static java.lang.String` | `_ATT_URI` Tag of Attr URI
`static java.lang.String` | `_TAG_CANONICALIZATIONMETHOD` Tag of Element CanonicalizationMethod
`static java.lang.String` | `_TAG_DERENCODEDKEYVALUE` Tag of Element PGPKeyPacket
`static java.lang.String` | `_TAG_DIGESTMETHOD` Tag of Element DigestMethod
`static java.lang.String` | `_TAG_DIGESTVALUE` Tag of Element DigestValue
`static java.lang.String` | `_TAG_DSAKEYVALUE` Tag of Element DSAKeyValue
`static java.lang.String` | `_TAG_EXPONENT` Tag of Element Exponent
`static java.lang.String` | `_TAG_G` Tag of Element G
`static java.lang.String` | `_TAG_HMACOUTPUTLENGTH` Tag of Element HMACOutputLength
`static java.lang.String` | `_TAG_J` Tag of Element J
`static java.lang.String` | `_TAG_KEYINFO` Tag of Element KeyInfo
`static java.lang.String` | `_TAG_KEYINFOREFERENCE` Tag of Element PGPKeyPacket
`static java.lang.String` | `_TAG_KEYNAME` Tag of Element KeyName
`static java.lang.String` | `_TAG_KEYVALUE` Tag of Element KeyValue
`static java.lang.String` | `_TAG_MANIFEST` Tag of Element Manifest
`static java.lang.String` | `_TAG_METHODS` Tag of Element Methods
`static java.lang.String` | `_TAG_MGMTDATA` Tag of Element MgmtData
`static java.lang.String` | `_TAG_MODULUS` Tag of Element Modulus
`static java.lang.String` | `_TAG_OBJECT` Tag of Element Object
`static java.lang.String` | `_TAG_P` Tag of Element P
`static java.lang.String` | `_TAG_PGENCOUNTER` Tag of Element PgenCounter
`static java.lang.String` | `_TAG_PGPDATA` Tag of Element PGPData
`static java.lang.String` | `_TAG_PGPKEYID` Tag of Element PGPKeyID
`static java.lang.String` | `_TAG_PGPKEYPACKET` Tag of Element PGPKeyPacket
`static java.lang.String` | `_TAG_Q` Tag of Element Q
`static java.lang.String` | `_TAG_RAWX509CERTIFICATE` Tag of Element rawX509Certificate
`static java.lang.String` | `_TAG_REFERENCE` Tag of Element Reference
`static java.lang.String` | `_TAG_RETRIEVALMETHOD` Tag of Element RetrievalMethod
`static java.lang.String` | `_TAG_RSAKEYVALUE` Tag of Element RSAKeyValue
`static java.lang.String` | `_TAG_SEED` Tag of Element Seed
`static java.lang.String` | `_TAG_SIGNATURE` Tag of Element Signature
`static java.lang.String` | `_TAG_SIGNATUREMETHOD` Tag of Element SignatureMethod
`static java.lang.String` | `_TAG_SIGNATUREPROPERTIES` Tag of Element SignatureProperties
`static java.lang.String` | `_TAG_SIGNATUREPROPERTY` Tag of Element SignatureProperty
`static java.lang.String` | `_TAG_SIGNATUREVALUE` Tag of Element SignatureValue
`static java.lang.String` | `_TAG_SIGNEDINFO` Tag of Element SignedInfo
`static java.lang.String` | `_TAG_SPKIDATA` Tag of Element SPKIData
`static java.lang.String` | `_TAG_SPKISEXP` Tag of Element SPKISexp
`static java.lang.String` | `_TAG_TRANSFORM` Tag of Element Transform
`static java.lang.String` | `_TAG_TRANSFORMS` Tag of Element Transforms
`static java.lang.String` | `_TAG_X509CERTIFICATE` Tag of Element X509Certificate
`static java.lang.String` | `_TAG_X509CRL` Tag of Element X509CRL
`static java.lang.String` | `_TAG_X509DATA` Tag of Element X509Data
`static java.lang.String` | `_TAG_X509DIGEST` Tag of Element PGPKeyPacket
`static java.lang.String` | `_TAG_X509ISSUERNAME` Tag of Element X509IssuerName
`static java.lang.String` | `_TAG_X509ISSUERSERIAL` Tag of Element X509IssuerSerial
`static java.lang.String` | `_TAG_X509SERIALNUMBER` Tag of Element X509SerialNumber
`static java.lang.String` | `_TAG_X509SKI` Tag of Element X509SKI
`static java.lang.String` | `_TAG_X509SUBJECTNAME` Tag of Element X509SubjectName
`static java.lang.String` | `_TAG_XPATH` Tag of Element XPath
`static java.lang.String` | `_TAG_Y` Tag of Element Y
`static java.lang.String` | `ALGO_ID_DIGEST_SHA1` Digest - Required SHA1
`static java.lang.String` | `ALGO_ID_SIGNATURE_ECDSA_CERTICOM`
`static java.lang.String` | `configurationFile` Field configurationFile
`static java.lang.String` | `configurationFileNew` Field configurationFileNew
`static java.lang.String` | `exceptionMessagesResourceBundleBase` Field exceptionMessagesResourceBundleBase is the location of the `ResourceBundle`
`static java.lang.String` | `exceptionMessagesResourceBundleDir` Field exceptionMessagesResourceBundleDir
`static java.lang.String` | `MoreAlgorithmsSpecNS` The URL for more algorithms
`static java.lang.String` | `NamespaceSpecNS` The URI for XMLNS spec
`static java.lang.String` | `SignatureSpec11NS` The namespace of the XML Signature specification
`static java.lang.String` | `SIGNATURESPECIFICATION_URL` The URL of the XML Signature specification
`static java.lang.String` | `SignatureSpecNS` The namespace of the XML Signature specification
`static java.lang.String` | `XML_LANG_SPACE_SpecNS` The URI for XML spec

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configurationFile

    public static final java.lang.String configurationFile

  Field configurationFile

  See Also:
    Constant Field Values

### configurationFileNew

    public static final java.lang.String configurationFileNew

  Field configurationFileNew

  See Also:
    Constant Field Values

### exceptionMessagesResourceBundleDir

    public static final java.lang.String exceptionMessagesResourceBundleDir

  Field exceptionMessagesResourceBundleDir

  See Also:
    Constant Field Values

### exceptionMessagesResourceBundleBase

    public static final java.lang.String exceptionMessagesResourceBundleBase

  Field exceptionMessagesResourceBundleBase is the location of the `ResourceBundle`

  See Also:
    Constant Field Values

### SIGNATURESPECIFICATION_URL

    public static final java.lang.String SIGNATURESPECIFICATION_URL

  The URL of the XML Signature specification

  See Also:
    Constant Field Values

### SignatureSpecNS

    public static final java.lang.String SignatureSpecNS

  The namespace of the XML Signature specification

  See Also:
    Constant Field Values

### SignatureSpec11NS

    public static final java.lang.String SignatureSpec11NS

  The namespace of the XML Signature specification

  See Also:
    Constant Field Values

### MoreAlgorithmsSpecNS

    public static final java.lang.String MoreAlgorithmsSpecNS

  The URL for more algorithms

  See Also:
    Constant Field Values

### XML_LANG_SPACE_SpecNS

    public static final java.lang.String XML_LANG_SPACE_SpecNS

  The URI for XML spec

  See Also:
    Constant Field Values

### NamespaceSpecNS

    public static final java.lang.String NamespaceSpecNS

  The URI for XMLNS spec

  See Also:
    Constant Field Values

### _ATT_ALGORITHM

    public static final java.lang.String _ATT_ALGORITHM

  Tag of Attr Algorithm

  See Also:
    Constant Field Values

### _ATT_URI

    public static final java.lang.String _ATT_URI

  Tag of Attr URI

  See Also:
    Constant Field Values

### _ATT_TYPE

    public static final java.lang.String _ATT_TYPE

  Tag of Attr Type

  See Also:
    Constant Field Values

### _ATT_ID

    public static final java.lang.String _ATT_ID

  Tag of Attr Id

  See Also:
    Constant Field Values

### _ATT_MIMETYPE

    public static final java.lang.String _ATT_MIMETYPE

  Tag of Attr MimeType

  See Also:
    Constant Field Values

### _ATT_ENCODING

    public static final java.lang.String _ATT_ENCODING

  Tag of Attr Encoding

  See Also:
    Constant Field Values

### _ATT_TARGET

    public static final java.lang.String _ATT_TARGET

  Tag of Attr Target

  See Also:
    Constant Field Values

### _TAG_CANONICALIZATIONMETHOD

    public static final java.lang.String _TAG_CANONICALIZATIONMETHOD

  Tag of Element CanonicalizationMethod

  See Also:
    Constant Field Values

### _TAG_DIGESTMETHOD

    public static final java.lang.String _TAG_DIGESTMETHOD

  Tag of Element DigestMethod

  See Also:
    Constant Field Values

### _TAG_DIGESTVALUE

    public static final java.lang.String _TAG_DIGESTVALUE

  Tag of Element DigestValue

  See Also:
    Constant Field Values

### _TAG_MANIFEST

    public static final java.lang.String _TAG_MANIFEST

  Tag of Element Manifest

  See Also:
    Constant Field Values

### _TAG_METHODS

    public static final java.lang.String _TAG_METHODS

  Tag of Element Methods

  See Also:
    Constant Field Values

### _TAG_OBJECT

    public static final java.lang.String _TAG_OBJECT

  Tag of Element Object

  See Also:
    Constant Field Values

### _TAG_REFERENCE

    public static final java.lang.String _TAG_REFERENCE

  Tag of Element Reference

  See Also:
    Constant Field Values

### _TAG_SIGNATURE

    public static final java.lang.String _TAG_SIGNATURE

  Tag of Element Signature

  See Also:
    Constant Field Values

### _TAG_SIGNATUREMETHOD

    public static final java.lang.String _TAG_SIGNATUREMETHOD

  Tag of Element SignatureMethod

  See Also:
    Constant Field Values

### _TAG_HMACOUTPUTLENGTH

    public static final java.lang.String _TAG_HMACOUTPUTLENGTH

  Tag of Element HMACOutputLength

  See Also:
    Constant Field Values

### _TAG_SIGNATUREPROPERTIES

    public static final java.lang.String _TAG_SIGNATUREPROPERTIES

  Tag of Element SignatureProperties

  See Also:
    Constant Field Values

### _TAG_SIGNATUREPROPERTY

    public static final java.lang.String _TAG_SIGNATUREPROPERTY

  Tag of Element SignatureProperty

  See Also:
    Constant Field Values

### _TAG_SIGNATUREVALUE

    public static final java.lang.String _TAG_SIGNATUREVALUE

  Tag of Element SignatureValue

  See Also:
    Constant Field Values

### _TAG_SIGNEDINFO

    public static final java.lang.String _TAG_SIGNEDINFO

  Tag of Element SignedInfo

  See Also:
    Constant Field Values

### _TAG_TRANSFORM

    public static final java.lang.String _TAG_TRANSFORM

  Tag of Element Transform

  See Also:
    Constant Field Values

### _TAG_TRANSFORMS

    public static final java.lang.String _TAG_TRANSFORMS

  Tag of Element Transforms

  See Also:
    Constant Field Values

### _TAG_XPATH

    public static final java.lang.String _TAG_XPATH

  Tag of Element XPath

  See Also:
    Constant Field Values

### _TAG_KEYINFO

    public static final java.lang.String _TAG_KEYINFO

  Tag of Element KeyInfo

  See Also:
    Constant Field Values

### _TAG_KEYNAME

    public static final java.lang.String _TAG_KEYNAME

  Tag of Element KeyName

  See Also:
    Constant Field Values

### _TAG_KEYVALUE

    public static final java.lang.String _TAG_KEYVALUE

  Tag of Element KeyValue

  See Also:
    Constant Field Values

### _TAG_RETRIEVALMETHOD

    public static final java.lang.String _TAG_RETRIEVALMETHOD

  Tag of Element RetrievalMethod

  See Also:
    Constant Field Values

### _TAG_X509DATA

    public static final java.lang.String _TAG_X509DATA

  Tag of Element X509Data

  See Also:
    Constant Field Values

### _TAG_PGPDATA

    public static final java.lang.String _TAG_PGPDATA

  Tag of Element PGPData

  See Also:
    Constant Field Values

### _TAG_SPKIDATA

    public static final java.lang.String _TAG_SPKIDATA

  Tag of Element SPKIData

  See Also:
    Constant Field Values

### _TAG_MGMTDATA

    public static final java.lang.String _TAG_MGMTDATA

  Tag of Element MgmtData

  See Also:
    Constant Field Values

### _TAG_RSAKEYVALUE

    public static final java.lang.String _TAG_RSAKEYVALUE

  Tag of Element RSAKeyValue

  See Also:
    Constant Field Values

### _TAG_EXPONENT

    public static final java.lang.String _TAG_EXPONENT

  Tag of Element Exponent

  See Also:
    Constant Field Values

### _TAG_MODULUS

    public static final java.lang.String _TAG_MODULUS

  Tag of Element Modulus

  See Also:
    Constant Field Values

### _TAG_DSAKEYVALUE

    public static final java.lang.String _TAG_DSAKEYVALUE

  Tag of Element DSAKeyValue

  See Also:
    Constant Field Values

### _TAG_P

    public static final java.lang.String _TAG_P

  Tag of Element P

  See Also:
    Constant Field Values

### _TAG_Q

    public static final java.lang.String _TAG_Q

  Tag of Element Q

  See Also:
    Constant Field Values

### _TAG_G

    public static final java.lang.String _TAG_G

  Tag of Element G

  See Also:
    Constant Field Values

### _TAG_Y

    public static final java.lang.String _TAG_Y

  Tag of Element Y

  See Also:
    Constant Field Values

### _TAG_J

    public static final java.lang.String _TAG_J

  Tag of Element J

  See Also:
    Constant Field Values

### _TAG_SEED

    public static final java.lang.String _TAG_SEED

  Tag of Element Seed

  See Also:
    Constant Field Values

### _TAG_PGENCOUNTER

    public static final java.lang.String _TAG_PGENCOUNTER

  Tag of Element PgenCounter

  See Also:
    Constant Field Values

### _TAG_RAWX509CERTIFICATE

    public static final java.lang.String _TAG_RAWX509CERTIFICATE

  Tag of Element rawX509Certificate

  See Also:
    Constant Field Values

### _TAG_X509ISSUERSERIAL

    public static final java.lang.String _TAG_X509ISSUERSERIAL

  Tag of Element X509IssuerSerial

  See Also:
    Constant Field Values

### _TAG_X509SKI

    public static final java.lang.String _TAG_X509SKI

  Tag of Element X509SKI

  See Also:
    Constant Field Values

### _TAG_X509SUBJECTNAME

    public static final java.lang.String _TAG_X509SUBJECTNAME

  Tag of Element X509SubjectName

  See Also:
    Constant Field Values

### _TAG_X509CERTIFICATE

    public static final java.lang.String _TAG_X509CERTIFICATE

  Tag of Element X509Certificate

  See Also:
    Constant Field Values

### _TAG_X509CRL

    public static final java.lang.String _TAG_X509CRL

  Tag of Element X509CRL

  See Also:
    Constant Field Values

### _TAG_X509ISSUERNAME

    public static final java.lang.String _TAG_X509ISSUERNAME

  Tag of Element X509IssuerName

  See Also:
    Constant Field Values

### _TAG_X509SERIALNUMBER

    public static final java.lang.String _TAG_X509SERIALNUMBER

  Tag of Element X509SerialNumber

  See Also:
    Constant Field Values

### _TAG_PGPKEYID

    public static final java.lang.String _TAG_PGPKEYID

  Tag of Element PGPKeyID

  See Also:
    Constant Field Values

### _TAG_PGPKEYPACKET

    public static final java.lang.String _TAG_PGPKEYPACKET

  Tag of Element PGPKeyPacket

  See Also:
    Constant Field Values

### _TAG_DERENCODEDKEYVALUE

    public static final java.lang.String _TAG_DERENCODEDKEYVALUE

  Tag of Element PGPKeyPacket

  See Also:
    Constant Field Values

### _TAG_KEYINFOREFERENCE

    public static final java.lang.String _TAG_KEYINFOREFERENCE

  Tag of Element PGPKeyPacket

  See Also:
    Constant Field Values

### _TAG_X509DIGEST

    public static final java.lang.String _TAG_X509DIGEST

  Tag of Element PGPKeyPacket

  See Also:
    Constant Field Values

### _TAG_SPKISEXP

    public static final java.lang.String _TAG_SPKISEXP

  Tag of Element SPKISexp

  See Also:
    Constant Field Values

### ALGO_ID_DIGEST_SHA1

    public static final java.lang.String ALGO_ID_DIGEST_SHA1

  Digest - Required SHA1

  See Also:
    Constant Field Values

### ALGO_ID_SIGNATURE_ECDSA_CERTICOM

    public static final java.lang.String ALGO_ID_SIGNATURE_ECDSA_CERTICOM

See Also:
  draft-blake-wilson-xmldsig-ecdsa-02.txt, Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD